#
# spec file for package xsplash (Version 2001.07.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xsplash
Copyright:    2001 SuSE GmbH Nuernberg, Germany
Group:        Base
Requires:     shtools bash xv rxvt xf86 fileutils sh-utils
Provides:     xsplash
Autoreqprov:  on
Version:      2001.07.18
Release:      39
Summary:      An implementation of the SuSE splash screen for X11
Source:       xsplash.tar.gz
BuildArch: noarch

%description
An X11 implementation of the SuSE splash screen, including manual page.
Another pointless utility... ;-)

Authors:
--------
    Christian Steinruecken <cstein@suse.de> 
    

SuSE series: xap

%prep
%setup -n xsplash

%build
gzip -9 ./man/xsplash.6

%install
mkdir -p /usr/bin
mkdir -p /usr/lib/xsplash
cp -p ./bin/xsplash /usr/bin/
cp -p ./lib/* /usr/lib/xsplash/
cp -p ./man/* /usr/share/man/man6/
rm -f /usr/lib/xsplash/susesplash.png
ln -s suseplash-72.png /usr/lib/xsplash/susesplash.png

%files
/usr/bin/xsplash
/usr/lib/xsplash/susesplash.png
/usr/lib/xsplash/susesplash-72.png
/usr/lib/xsplash/susesplash-73.png
%doc
/usr/share/man/man6/xsplash.6.gz

%changelog -n xsplash
* Wed Jul 18 2001 - cstein@suse.de
- enhanced command line options
- added a sneak preview of the new splash screen for SuSE 7.3
- updated manual page
* Tue Jul 17 2001 - cstein@suse.de
- added some sanity checks to xsplash
* Tue Jul 17 2001 - cstein@suse.de
- script fixed for older SuSE versions
- added symlink in /usr/lib/xsplash
* Mon Jul 16 2001 - cstein@suse.de
- created package
